Subject: Re: [PATCH net-next v1 2/3] net: dsa: ar9331: add support for pause stats

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Jun 2022 09:15:21 -0700

On Sun, 26 Jun 2022 19:10:08 +0200 Oleksij Rempel wrote:
> > Is there an authoritative source who is able to tell whether rtnl_link_stats64 ::
> > rx_packets and tx_packets should count PAUSE frames or not?  
> 
> Yes, it will be interesting to know how to proceed with it.

I'm curious as well, AFAIK most drivers do not count pause to ifc stats.

> For example KSZ switch do count pause frame Bytes together will other
> frames. At same time, atheros switch do not count pause frame bytes
> at all.
> 
> To make things worse, i can manually send pause frame of any size, so
> it will not be accounted by HW. What ever decision we will made, i
> will need to calculate typical pause frame size and hope it will fit
> for 90% of cases.

:(